<?php

class JSArray extends JSBase
{

  public function addValue($value)
  {
    $this->values [] = $value;
  }

  protected function getOpenBracket()
  {
    return "[";
  }

  protected function getCloseBracket()
  {
    return "]";
  }

  protected function formatItem($index, $key, $value)
  {
    return $this->formatValue ( $value );
  }
}